/* gui.cmdline.h */

/* File autogenerated by gengetopt version 2.17  */

#ifndef GUI_CMDLINE_H
#define GUI_CMDLINE_H

/* If we use autoconf.  */
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#ifndef GUI_CMDLINE_PARSER_PACKAGE
#define GUI_CMDLINE_PARSER_PACKAGE "para_gui"
#endif

#ifndef GUI_CMDLINE_PARSER_VERSION
#define GUI_CMDLINE_PARSER_VERSION "0.2.15"
#endif

struct gui_args_info
{
  const char *help_help; /* Print help and exit help description.  */
  const char *version_help; /* Print version and exit help description.  */
  int auto_decode_flag;	/* auto-decode audio stream (default=on).  */
  const char *auto_decode_help; /* auto-decode audio stream help description.  */
  char * config_file_arg;	/* (default='~/.paraslash/gui.conf').  */
  char * config_file_orig;	/* (default='~/.paraslash/gui.conf') original value given at command line.  */
  const char *config_file_help; /* (default='~/.paraslash/gui.conf') help description.  */
  int loglevel_arg;	/* set loglevel (0-6) (default='4').  */
  char * loglevel_orig;	/* set loglevel (0-6) original value given at command line.  */
  const char *loglevel_help; /* set loglevel (0-6) help description.  */
  int timeout_arg;	/* set timeout (default='30').  */
  char * timeout_orig;	/* set timeout original value given at command line.  */
  const char *timeout_help; /* set timeout help description.  */
  char * stat_cmd_arg;	/* command to read server and audiod status data from (default='para_audioc stat').  */
  char * stat_cmd_orig;	/* command to read server and audiod status data from original value given at command line.  */
  const char *stat_cmd_help; /* command to read server and audiod status data from help description.  */
  char ** key_map_arg;	/* Map key k to command c using mode m. Mode may be d, x or p for display, external and paraslash commands, respectively. Of course, this option may be given multiple times, one for each key mapping..  */
  char ** key_map_orig;	/* Map key k to command c using mode m. Mode may be d, x or p for display, external and paraslash commands, respectively. Of course, this option may be given multiple times, one for each key mapping. original value given at command line.  */
  int key_map_min; /* Map key k to command c using mode m. Mode may be d, x or p for display, external and paraslash commands, respectively. Of course, this option may be given multiple times, one for each key mapping.'s minimum occurreces */
  int key_map_max; /* Map key k to command c using mode m. Mode may be d, x or p for display, external and paraslash commands, respectively. Of course, this option may be given multiple times, one for each key mapping.'s maximum occurreces */
  const char *key_map_help; /* Map key k to command c using mode m. Mode may be d, x or p for display, external and paraslash commands, respectively. Of course, this option may be given multiple times, one for each key mapping. help description.  */
  
  int help_given ;	/* Whether help was given.  */
  int version_given ;	/* Whether version was given.  */
  int auto_decode_given ;	/* Whether auto_decode was given.  */
  int config_file_given ;	/* Whether config_file was given.  */
  int loglevel_given ;	/* Whether loglevel was given.  */
  int timeout_given ;	/* Whether timeout was given.  */
  int stat_cmd_given ;	/* Whether stat_cmd was given.  */
  unsigned int key_map_given ;	/* Whether key_map was given.  */

} ;

extern const char *gui_args_info_purpose;
extern const char *gui_args_info_usage;
extern const char *gui_args_info_help[];

int gui_cmdline_parser (int argc, char * const *argv,
  struct gui_args_info *args_info);
int gui_cmdline_parser2 (int argc, char * const *argv,
  struct gui_args_info *args_info,
  int override, int initialize, int check_required);
int gui_cmdline_parser_file_save(const char *filename,
  struct gui_args_info *args_info);

void gui_cmdline_parser_print_help(void);
void gui_cmdline_parser_print_version(void);

void gui_cmdline_parser_init (struct gui_args_info *args_info);
void gui_cmdline_parser_free (struct gui_args_info *args_info);

int gui_cmdline_parser_configfile (char * const filename,
  struct gui_args_info *args_info,
  int override, int initialize, int check_required);

int gui_cmdline_parser_required (struct gui_args_info *args_info,
  const char *prog_name);


#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* GUI_CMDLINE_H */
